import java.io.*;

import javax.sound.sampled.*;
import javax.swing.*;

import java.awt.*;

/**
 * Moose.java
 *
 * A class representing a single circular ball for use
 * in simple 2D animations.
 * 
 * @author Jeff Ondich
 * @version 1.0.0
 * date:    02.09.2010
 */
public class Moose extends Sprite {
    private Image image;

    public Moose() {
        this.image = Toolkit.getDefaultToolkit().getImage("/Users/jeff/Desktop/cs257/programs/sprites/moose.jpeg");
    }

    // Required implementations for abstract superclass Sprite.

    public void draw(Graphics g) {
        Graphics2D g2 = (Graphics2D) g;
        
        Point pos = this.getPosition();
        Point size = this.getSize();

        g2.drawImage(this.image,
                     pos.x, pos.y, pos.x + size.x, pos.y + size.y,
                     0, 0, this.image.getWidth(null), this.image.getHeight(null),
                     null);

        g2.finalize();
    }

    public void makeSound() {
        String audioFilePath = System.getProperty("user.dir") + "/src/moose.wav";
        try {
            AudioInputStream audio = AudioSystem.getAudioInputStream(new File(audioFilePath));
            Clip clip = AudioSystem.getClip();
            clip.open(audio);
            clip.start();
        } catch (UnsupportedAudioFileException e) {
            e.printStackTrace();
        } catch (IOException e) {
            e.printStackTrace();
        } catch (LineUnavailableException e) {
            e.printStackTrace();
        }
    }
}

