/**
 * PDSubject.java
 *
 * Subject interface for the Pattern Demo example.
 * 
 * @author  Jeff Ondich
 * @version 2.0.0
 * date:    2013.11.12
 */

public interface PDSubject {
    // These are standard Observer Pattern methods.
    public void subscribe(PDObserver observer);
    public void unsubscribe(PDObserver observer);
    public void notifyObservers();

    // This gives access to this particular example's Subject-related data.
    public int getValue();
}
